<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>this-context</title>
</head>

<body>
    <script>

        let o1 = {
            name: 'Object 1',
        };

        let o2 = {
            name: 'Object 2',
            initThisIdentifiersForO1() {
                o1.getThisClassic = function () {
                    console.log(this);
                };
                o1.getThisModern = () => {
                    console.log(this);
                };
            }
        };

        // o2.initThisIdentifiersForO1();

    </script>
</body>

</html>